/*******************************************************************************
*
*                    ATmega8 Timer 1 CTC Mode
*                    ------------------------
*
*   Filename:                                    
*   Autor:                  David Kress
*
*   Version:                1.0
*   Date:                   19.1.2013
*   Built with:             ATMEL AVR Studio 4.14 and AVR-GCC; Optimization -01
*
*
*   Clock source:           - Any 8Mhz clock
*
*   Recommended             - High: 0xD9
*   Fuse settings:          - Low:  0xE4
*
*
*
*   Schematic:       ___________________
*                   |      ATMEGA16     |
*          Vcc ---->|Vcc                |
*          Vcc ---->|RESET              |
*                   |                   |
*          GND ---->|GND                |
*                   |                   |
*                   |        PB1 (OC1A) |----> DOUT     
*                   |                   |
*
*******************************************************************************/
#include <avr/io.h>

int main(void)
{

     DDRB = 0x02;                         // Setup PB1 as output

     OCR1A = 3906;                        // F_Timer = F_clk/Prescaler
	                                      //         = 8'000'000 / 1024 = 7812.5
                                          // F_PD5   = F_Timer/ 2 / OCR1A
                                          // 		 = 7812.5 / 2 / 3906 = 1.00006Hz								  

     TCCR1A = (1<<COM1A0);                // CTC mode, toggle OC1A on compare match
     TCCR1B = (1<<CS12)|(1<<CS10)         // Start Timer1 with prescaler 1024
             |(1<<WGM12);
 
     for(;;);                             // Endless loop
                                          // main() will never be left

     return 0;                            // This line will never be executed

}
